libzypp 17.37.10

Applydeltarpm.cc File Reference
`#include <iostream>`
`#include <zypp/base/Logger.h>`
`#include <zypp/base/String.h>`
`#include <zypp/base/Regex.h>`
`#include <zypp/repo/Applydeltarpm.h>`
`#include <zypp/ExternalProgram.h>`
`#include <zypp/AutoDispose.h>`
`#include <zypp/PathInfo.h>`
`#include <zypp/TriBool.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::applydeltarpm
| Namespace wrapping invocations of /usr/bin/applydeltarpm.

## Functions
bool | zypp::applydeltarpm::haveApplydeltarpm ()
| Test whether an execuatble applydeltarpm program is available.
Check if reconstruction of rpm is possible.
See also man applydeltarpm
bool | zypp::applydeltarpm::check (const std::string &sequenceinfo_r, bool quick_r=false)
| Check via sequence info.
bool | zypp::applydeltarpm::check (const Pathname &delta_r, bool quick_r=false)
| Check via deltarpm.
Re-create a new rpm from binary delta.
See also man applydeltarpm
bool | zypp::applydeltarpm::provide (const Pathname &delta_r, const Pathname &new_r, const Progress &report_r=Progress())
| Apply a binary delta to on-disk data to re-create a new rpm.
bool | zypp::applydeltarpm::provide (const Pathname &old_r, const Pathname &delta_r, const Pathname &new_r, const Progress &report_r=Progress())
| Apply a binary delta to an old rpm to re-create a new rpm.